--- lib/src/Makefile.in	2009-03-02 17:53:15.000000000 +0100
+++ lib/src/Makefile.in.new	2009-03-02 17:52:09.000000000 +0100
@@ -172,9 +172,8 @@
 
 ##### Makefile targets ######
 
-all:  fsplit $(LMMDB) $(LC) $(LF) $(SCRIPT_MODULES)
+all:  fsplit $(LMMDB) LMMDB_SO $(LC) LC_SO $(LF) LF_SO $(SCRIPT_MODULES)
 # maybe create shared library
-	$(SHARE_LIB)
 
 $(LC) : $(CORELIBOBJS) $(CGENERALOBJS) $(CUCOBJS) $(CMTZOBJS) $(CMAPOBJS) $(CSYMOBJS)
 	$(AR) $(LC) $?
@@ -186,6 +185,27 @@
 	$(AR) $(LF) $(FINTERFACEOBJS)
 	$(RANLIB) $@
 
+LMMDB_SO : 
+	$(CC) $(COPTIM) -shared -Wl,-soname,libmmdb.so.0 -o libmmdb.so.0.0.0 \
+	$(MMDBOBJS) && \
+	ln -sf libmmdb.so.0.0.0 libmmdb.so.0 && \
+	ln -sf libmmdb.so.0.0.0 libmmdb.so
+
+LC_SO : 
+	$(CC) $(COPTIM) -shared -Wl,-soname,libccp4c.so.0 -o libccp4c.so.0.0.0 \
+	$(CORELIBOBJS) $(CGENERALOBJS) $(CUCOBJS) $(CMTZOBJS) $(CMAPOBJS) $(CSYMOBJS) && \
+	ln -sf libccp4c.so.0.0.0 libccp4c.so.0 && \
+	ln -sf libccp4c.so.0.0.0 libccp4c.so
+
+LF_SO : 
+	$(FC) $(FOPTIM) -shared -Wl,-soname,libccp4f.so.0 -o libccp4f.so.0.0.0 \
+	parser.dir/*.o ccplib.dir/*.o lgglib.dir/*.o plot84lib.dir/*.o \
+	libhtml.dir/*.o pxxml.dir/*.o rwbrook.dir/*.o cciflib.dir/*.o \
+	harvlib.dir/*.o keyparse.dir/*.o dna_output.dir/*.o plotsubs.dir/*.o \
+	modlib.dir/*.o fftlib.dir/*.o unix.dir/*.o pack_f.o pack_c.o $(FINTERFACEOBJS) && \
+	ln -sf libccp4f.so.0.0.0 libccp4f.so.0 && \
+	ln -sf libccp4f.so.0.0.0 libccp4f.so
+
 # cmtz library only
 
 cmtz: $(LCMTZ)
@@ -339,9 +356,7 @@
 	fi
 	cd parser.dir && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f parser.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 parser : parser.o
 	$(RANLIB) $(LF)
 
@@ -351,9 +366,7 @@
 	echo '      END' >> ccplib.dir/ccplib.$F
 	cd ccplib.dir && $(fsplit_dir)/fsplit $(srcdir)/ccplib.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f ccplib.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 ccplib : ccplib.o
 	$(RANLIB) $(LF)
 
@@ -364,9 +377,7 @@
 	@$(SETFLAGS) ; \
 	cd lgglib.dir && $(fsplit_dir)/fsplit $(srcdir)/lgglib.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    eval $(FC) -c  $${lgglib_FLAGS-"$(FFLAGS)"} $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f lgglib.dir/*.o
+	    eval $(FC) -c  $${lgglib_FLAGS-"$(FFLAGS)"} $(SHARED_LIB_FFLAGS) $$i; done
 lgglib : lgglib.o
 	$(RANLIB) $(LF)
 
@@ -376,9 +387,7 @@
 	echo '      END' >> plot84lib.dir/plot84lib.$F
 	cd plot84lib.dir && $(fsplit_dir)/fsplit $(srcdir)/plot84lib.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f plot84lib.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 plot84lib : plot84lib.o
 	$(RANLIB) $(LF)
 
@@ -388,9 +397,7 @@
 	echo '      END' >> libhtml.dir/libhtml.$F
 	cd libhtml.dir && $(fsplit_dir)/fsplit $(srcdir)/libhtml.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f libhtml.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 libhtml : libhtml.o
 	$(RANLIB) $(LF)
 
@@ -400,9 +407,7 @@
 	echo '      END' >> pxxml.dir/pxxml.$F
 	cd pxxml.dir && $(fsplit_dir)/fsplit $(srcdir)/pxxml.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f pxxml.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 pxxml : pxxml.o
 	$(RANLIB) $(LF)
 
@@ -412,9 +417,7 @@
 	echo '      END' >> rwbrook.dir/rwbrook.$F
 	cd rwbrook.dir && $(fsplit_dir)/fsplit $(srcdir)/rwbrook.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f rwbrook.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 rwbrook : rwbrook.o
 	$(RANLIB) $(LF)
 
@@ -424,9 +427,7 @@
 	echo '      END' >> cciflib.dir/cciflib.$F
 	cd cciflib.dir && $(fsplit_dir)/fsplit $(srcdir)/cciflib.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) -I$(srcdir) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f cciflib.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) -I$(srcdir) $$i; done
 cciflib : cciflib.o
 	$(RANLIB) $(LF)
 
@@ -440,9 +441,7 @@
 	  && $(AR) ../$(LF) *.o ; else \
 	cd harvlib.dir && $(fsplit_dir)/fsplit $(srcdir)/harv_dummy.f >/dev/null && $(RMEMPTY) && \
 	for i in `pwd`/*.$F; do \
-	  $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) -I$(srcdir) $$i; done\
-	  && $(AR) ../$(LF) *.o ; fi
-	rm -f harvlib.dir/*.o
+	  $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) -I$(srcdir) $$i; done; fi
 harvlib : harvlib.o
 	$(RANLIB) $(LF)
 
@@ -452,9 +451,7 @@
 	echo '      END' >> keyparse.dir/keyparse.$F
 	cd keyparse.dir && $(fsplit_dir)/fsplit $(srcdir)/keyparse.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f keyparse.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 keyparse : keyparse.o
 	$(RANLIB) $(LF)
 
@@ -464,9 +461,7 @@
 	echo '      END' >> dna_output.dir/dna_output.$F
 	cd dna_output.dir && $(fsplit_dir)/fsplit $(srcdir)/dna_output.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -I$(srcdir) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f dna_output.dir/*.o
+	    $(FC) -I$(srcdir) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 dna_output : dna_output.o
 	$(RANLIB) $(LF)
 
@@ -474,10 +469,9 @@
 #  for ipdisp. May be useful but could be moved. 
 $(LF)(pack_c.o):   $(srcdir)/pack_c.c $(srcdir)/pack_c.h
 	$(CC) $(CFLAGS) $(SHARED_LIB_CFLAGS) -I$(srcdir) -c $(srcdir)/pack_c.c
-	$(AR) $(LF) pack_c.o && rm pack_c.o
+	$(AR) $(LF) pack_c.o
 $(LF)(pack_f.o):   $(srcdir)/pack_f.f
-	$(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $(srcdir)/pack_f.$(F) && $(AR) $(LF) pack_f.o \
-          && rm pack_f.o
+	$(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $(srcdir)/pack_f.$(F) && $(AR) $(LF) pack_f.o
 pack:   $(LF)(pack_c.o) $(LF)(pack_f.o)
 	$(RANLIB) $(LF) 
 
@@ -488,9 +482,7 @@
 	echo '      END' >> sorting_main.dir/sorting_main.$F
 	cd sorting_main.dir && $(fsplit_dir)/fsplit $(srcdir)/sorting_main.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f sorting_main.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 sorting_main : sorting_main.o
 	$(RANLIB) $(LF)
 
@@ -500,9 +492,7 @@
 	echo '      END' >> plotsubs.dir/plotsubs.$F
 	cd plotsubs.dir && $(fsplit_dir)/fsplit $(srcdir)/plotsubs.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f plotsubs.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 plotsubs : plotsubs.o
 	$(RANLIB) $(LF)
 
@@ -512,9 +502,7 @@
 	echo '      END' >> modlib.dir/modlib.$F
 	cd modlib.dir && $(fsplit_dir)/fsplit $(srcdir)/modlib.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f modlib.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 modlib : modlib.o
 	$(RANLIB) $(LF)
 
@@ -524,9 +512,7 @@
 	echo '      END' >> fftlib.dir/fftlib.$F
 	cd fftlib.dir && $(fsplit_dir)/fsplit $(srcdir)/fftlib.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done \
-	  && $(AR) ../$(LF) *.o
-	rm -f fftlib.dir/*.o
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done 
 fftlib : fftlib.o
 	$(RANLIB) $(LF)
 
@@ -541,9 +527,7 @@
 	echo '      END' >> unix.dir/unix.f
 	cd unix.dir && $(fsplit_dir)/fsplit ../unix.f >/dev/null && $(RMEMPTY) && \
 	  for i in `pwd`/*.$F; do \
-	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done\
-	  && $(AR) ../$(LF) *.o
-	rm -f unix.dir/*.o 
+	    $(FC) -c $(FFLAGS) $(SHARED_LIB_FFLAGS) $$i; done
 unix : unix.o
 	$(RANLIB) $(LF)
 
